Bug 1700497 - [RFE] enable SSL support in iperf3
Summary: [RFE] enable SSL support in iperf3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: iperf3
Version: 8.1
Hardware: Unspecified
OS: Linux
low
low
Target Milestone: rc
: 8.0
Assignee: Michal Ruprich
QA Contact: Patrik Moško
Katerina Nemcova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-16 18:11 UTC by Patrik Moško
Modified: 2021-05-27 07:32 UTC (History)
4 users (show)

Fixed In Version: iperf3-3.5-4.el8
Doc Type: Enhancement
Doc Text:
.`iperf3` now supports `SSL` With this enhancement, the user can use RSA authentication between the client and the server to restrict the connections to the server only to legitimate clients. The following options for `iperf3` are now available on the server side: * `--rsa-private-key-path` * `--authorized-users-path` The following options for `iperf3` are now available on the client side of communication: * `--username` * `--rsa-public-key-path`
Clone Of:
Environment:
Last Closed: 2020-11-04 02:28:53 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4621 0 None None None 2020-11-04 02:28:56 UTC

Comment 13 errata-xmlrpc 2020-11-04 02:28:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (iperf3 bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4621


Note You need to log in before you can comment on or make changes to this bug.